%define upstream_name    Mixin-ExtraFields
%define upstream_version 0.140002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Store extras in a hashy object's guts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mixin/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Sub::Exporter) >= 0.972.0
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Sometimes your well-defined object needs a way to tack on arbirary extra
fields. This might be a set of session-specific ephemeral data, a stash of
settings that need to be easy to grow over time, or any sort of
name-and-value parameters. Adding more and more methods can be cumbersome,
and may not be helpful if the names vary greatly. Accessing an object's
guts directly is simple, but is difficult to control when subclassing, and
can make altering your object's structure difficult.

Mixin::ExtraFields provides a simple way to add an arbitrary number of
stashes for named data. These data can be stored in the object, in a
database, or anywhere else. The storage mechanism is abstracted away from
the provided interface, so one storage mechanism can be easily swapped for
another. Multiple ExtraFields stashes can be mixed into one class, using
one or many storage mechanisms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.140.2-6.mga6
+ Revision: 1029897
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.2-5.mga6
+ Revision: 943324
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.2-4.mga5
+ Revision: 747596
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.140.2-3.mga5
+ Revision: 735698
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.140.2-2.mga5
+ Revision: 685402
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.140.2-1.mga5
+ Revision: 588486
- update to 0.140002

* Fri Oct 18 2013 umeabot <umeabot> 0.100.971-3.mga4
+ Revision: 512942
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.971-2.mga3
+ Revision: 369726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.100.971-1.mga1
+ Revision: 28640
- mageia rebuild
- imported package perl-Mixin-ExtraFields

